Skip to Content
goldflow.cc 文档
视频系列MiniMax 视频

查询 MiniMax H3 Max / Turbo 平台任务

GET
/v1/video/tasks/{task_id}

使用平台创建响应中的公开 task.id及创建时同一 goldflow.cc 令牌。仅查询相同平台协议任务,不能传入 /v2原生任务 ID。建议10–15秒轮询一次。成功结果在 task.outputs,完整计量在 task.metadata.usage;task.usage可能为 null或仅含 tokens。Max 输入/输出视频秒数分别计量;查询不重复收费。

Authorization

bearerAuth
headerAuthorizationBearer <API key>

使用 Authorization Bearer API Key 进行鉴权。

Path Parameters

task_id*string

goldflow.cc返回的公开任务 ID;使用创建任务的同一令牌,不能使用供应商内部 ID。

Match^task_.+
Length6 <= length

Response Body

pending/processing为非终态,completed/failed为终态。

application/json
  1. response
task*
[key: string]?any
Example Request
curl -X GET 'https://goldflow.cc/v1/video/tasks/task_H3_GENERATION_EXAMPLE'
Example Response
{  "task": {    "id": "task_H3_MAX_EXAMPLE",    "model": "minimax-h3-max",    "status": "completed",    "outputs": [      "https://example.com/h3-max-output.mp4"    ],    "usage": null,    "metadata": {      "resolution": "480P",      "usage": {        "output_seconds": 5,        "input_seconds": 0,        "total_seconds": 5,        "input_image_count": 0      }    }  }}